#
# spec file for package perl-Pod-Weaver-Section-Support
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-Weaver-Section-Support
Version:        1.007
Release:        1.1
%define cpan_name Pod-Weaver-Section-Support
Summary:        Add a SUPPORT section to your POD
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-Weaver-Section-Support/
Source:         http://www.cpan.org/authors/id/A/AP/APOCAL/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.039
BuildRequires:  perl(Moose) >= 1.03
BuildRequires:  perl(Moose::Autobox) >= 0.10
BuildRequires:  perl(Moose::Util::TypeConstraints) >= 1.01
BuildRequires:  perl(Pod::Weaver::Role::Section) >= 3.100710
Requires:       perl(Moose) >= 1.03
Requires:       perl(Moose::Autobox) >= 0.10
Requires:       perl(Moose::Util::TypeConstraints) >= 1.01
Requires:       perl(Pod::Weaver::Role::Section) >= 3.100710
%{perl_requires}

%description
This section plugin will produce a hunk of pod that lists the various ways
to get support for this module. It will do this only if it is being built
with the Dist::Zilla manpage because it needs the data from the dzil
object.

If you have the Dist::Zilla::Plugin::Repository manpage enabled in your
_dist.ini_, be sure to check the repository_link attribute!

This is added *ONLY* to the main module's POD, because it would be a waste
of space to add it to all modules in the dist.

For an example of what the hunk looks like, look at the the /SUPPORT
manpage section in this POD :)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc AUTHOR_PLEDGE Changes CommitLog doap.xml examples LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.007
  see /usr/share/doc/packages/perl-Pod-Weaver-Section-Support/Changes
* Mon Oct 10 2011 coolo@suse.com
- initial package 1.004
  * created by cpanspec 1.78.06
